Bug 505955 - Review Request: perl-Module-Starter-Plugin-CGIApp - Template based module starter for CGI apps
Review Request: perl-Module-Starter-Plugin-CGIApp - Template based module sta...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 19:45 EDT by Emmanuel Seyman
Modified: 2009-06-24 15:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.10-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-14 19:45:46 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Module-Starter-Plugin-CGIApp/perl-Module-Starter-Plugin-CGIApp.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Module-Starter-Plugin-CGIApp/perl-Module-Starter-Plugin-CGIApp-0.05-1.fc11.src.rpm
Description:
This module subclasses Module::Starter::Plugin::Template which in turn
subclasses Module::Starter::Simple. This document only describes the
methods which are overriden from those modules or are new.
Comment 1 Parag AN(पराग) 2009-06-14 23:45:39 EDT
404 error on SRPM download.
Comment 2 Emmanuel Seyman 2009-06-15 02:44:45 EDT
My bad. That should be:

Spec URL:
http://people.parinux.org/~seyman/fedora/perl-Module-Starter-Plugin-CGIApp/perl-Module-Starter-Plugin-CGIApp.spec
SRPM URL:
http://people.parinux.org/~seyman/fedora/perl-Module-Starter-Plugin-CGIApp/perl-Module-Starter-Plugin-CGIApp-0.10-1.fc11.src.rpm
Description:
This module subclasses Module::Starter::Plugin::Template which in turn
subclasses Module::Starter::Simple. This document only describes the
methods which are overriden from those modules or are new.
Comment 3 Parag AN(पराग) 2009-06-15 03:02:26 EDT
eview:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1414354
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e5bab1d5d4fcf419b5b3f193ee8fe59d1688ae2c  Module-Starter-Plugin-CGIApp-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=7, Tests=97,  2 wallclock secs ( 0.08 usr  0.01 sys +  1.44 cusr  0.12 csys =  1.65 CPU)
+ Package perl-Module-Starter-Plugin-CGIApp-0.10-1.fc10 =>
Provides: perl(Module::Starter::Plugin::CGIApp) = 0.10
Requires: /usr/bin/perl perl(Carp) perl(English) perl(ExtUtils::Command) perl(File::Basename) perl(File::Spec) perl(HTML::Template) perl(Module::Starter) perl(Module::Starter::App) perl(Module::Starter::Simple) perl(base) perl(strict) perl(warnings)
+ Not a GUI application
APPROVED.
Comment 4 Emmanuel Seyman 2009-06-15 03:34:16 EDT
Thanks. Requesting fedora-cvs.

New Package CVS Request
=======================
Package Name: perl-Module-Starter-Plugin-CGIApp
Short Description: Template based module starter for CGI apps
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 5 Jason Tibbitts 2009-06-15 13:21:38 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-15 17:26:17 EDT
perl-Module-Starter-Plugin-CGIApp-0.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Module-Starter-Plugin-CGIApp-0.10-1.fc11
Comment 7 Fedora Update System 2009-06-18 07:39:04 EDT
perl-Module-Starter-Plugin-CGIApp-0.10-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Module-Starter-Plugin-CGIApp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6512
Comment 8 Fedora Update System 2009-06-24 15:44:58 EDT
perl-Module-Starter-Plugin-CGIApp-0.10-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.